# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ic_tee_cdk"
version = "0.6.1"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Canister Development Kit to make Trusted Execution Environments (TEEs) work with the Internet Computer"
readme = "README.md"
keywords = [
    "tee",
    "canister",
    "icp",
    "nitro",
]
categories = ["web-programming"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ldclabs/ic-tee/tree/main/src/ic_tee_cdk"

[lib]
name = "ic_tee_cdk"
path = "src/lib.rs"

[dependencies.candid]
version = "0.10"

[dependencies.ciborium]
version = "0.2"

[dependencies.ic-canister-sig-creation]
version = "1"

[dependencies.ic_auth_types]
version = "0.5"

[dependencies.serde]
version = "1"

[dependencies.sha3]
version = "0.10"

[dev-dependencies.hex]
version = "0.4"
